Bug 1381133 - pjproject-2.4.5-6.fc24.x86_64 crashs asterisk when call
Summary: pjproject-2.4.5-6.fc24.x86_64 crashs asterisk when call
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pjproject
Version: 24
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-03 08:16 UTC by Harald Reindl
Modified: 2016-10-13 02:51 UTC (History)
3 users (show)

Fixed In Version: pjproject-2.4.5-8.fc25 pjproject-2.4.5-8.fc24 pjproject-2.4.5-8.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-10 17:44:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Harald Reindl 2016-10-03 08:16:57 UTC
pjproject-2.4.5-6.fc24.x86_64 is horrible broken, all is starting fine but when you try to make a call asterisk crashs - downgrade to pjproject-2.4.5-4.fc24.x86_64.rpm and all is fine again
_____________________________

Oct 02 10:42:02 INFO Upgraded: pjproject-2.4.5-6.fc24.x86_64

Oct  3 10:09:16 asterisk kernel: asterisk[1911]: segfault at 562d76373740 ip 00007f7ca0140e62 sp 00007f7cf2a50a40 error 4 in res_rtp_asterisk.so[7f7ca0136000+19000]
Oct  3 10:09:16 asterisk systemd: asterisk.service: Main process exited, code=killed, status=11/SEGV
Oct  3 10:09:16 asterisk systemd: asterisk.service: Unit entered failed state.
Oct  3 10:09:16 asterisk systemd: asterisk.service: Failed with result 'signal'.
Oct  3 10:09:17 asterisk systemd: asterisk.service: Service hold-off time over, scheduling restart.

rpm -Uvh --force pjproject-2.4.5-4.fc24.x86_64.rpm
_____________________________

[root@asterisk:~]$ rpm -qa | grep asterisk
asterisk-voicemail-plain-13.7.2-3.fc24.x86_64
asterisk-voicemail-13.7.2-3.fc24.x86_64
asterisk-iax2-13.7.2-3.fc24.x86_64
asterisk-sip-13.7.2-3.fc24.x86_64
asterisk-13.7.2-3.fc24.x86_64

Comment 1 Benjamin Lefoul 2016-10-03 08:30:30 UTC
That patch was rushed. I'll revert now. Please test upcoming 2.4.5-7 on bodhi today.

Comment 2 Fedora Update System 2016-10-03 14:23:43 UTC
pjproject-2.4.5-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f780687d5f

Comment 3 Harald Reindl 2016-10-03 15:36:43 UTC
the same crap - no idea which other packages are using this but "Libraries for building embedded/non-embedded VoIP applications" makes asterisk sound like one of the main consumers - what about test it somehow before submit as fedora package at all?

[root@asterisk:/downloads]$ rpm -q pjproject
pjproject-2.4.5-7.fc24.x86_64

Oct  3 17:33:39 asterisk systemd: Stopping asterisk...
Oct  3 17:33:39 asterisk systemd: Stopped asterisk.
Oct  3 17:33:39 asterisk systemd: Started asterisk.
Oct  3 17:33:58 asterisk kernel: traps: asterisk[20935] general protection ip:7fdfeac98e62 sp:7fdfdf846770 error:0 in res_rtp_asterisk.so[7fdfeac8e000+19000]
Oct  3 17:33:58 asterisk systemd: Started Process Core Dump (PID 20973/UID 0).
Oct  3 17:33:58 asterisk systemd-coredump: Failed to send coredump datagram: Message too long
Oct  3 17:33:58 asterisk systemd-coredump: Coredump file descriptor missing.
Oct  3 17:33:58 asterisk systemd: asterisk.service: Main process exited, code=killed, status=11/SEGV
Oct  3 17:33:58 asterisk systemd: asterisk.service: Unit entered failed state.
Oct  3 17:33:58 asterisk systemd: asterisk.service: Failed with result 'signal'.
Oct  3 17:33:59 asterisk systemd: asterisk.service: Service hold-off time over, scheduling restart.
Oct  3 17:33:59 asterisk systemd: Stopped asterisk.
Oct  3 17:33:59 asterisk systemd: Started asterisk.

Comment 4 Benjamin Lefoul 2016-10-03 18:53:15 UTC
Really sorry for cluttering the stable branches. This was sort of abandoned mid-testing and then rushed. Now I have no time at all for this project. Everything is now exactly as in 2.4.5-5 with the latest builds.

Comment 5 Harald Reindl 2016-10-03 18:57:46 UTC
at least pjproject-2.4.5-8.fc24.x86_64 don't crash asterisk anymore in the moment a call arrives

Comment 6 Fedora Update System 2016-10-03 23:22:20 UTC
pjproject-2.4.5-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2278cd7cec

Comment 7 Fedora Update System 2016-10-03 23:22:44 UTC
pjproject-2.4.5-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3be0111e60

Comment 8 Fedora Update System 2016-10-04 14:22:42 UTC
pjproject-2.4.5-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-953f5b582d

Comment 9 Fedora Update System 2016-10-05 01:54:45 UTC
pjproject-2.4.5-8.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-060cf7f649

Comment 10 Fedora Update System 2016-10-05 02:26:18 UTC
pjproject-2.4.5-8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d264a186d3

Comment 11 Fedora Update System 2016-10-10 17:44:35 UTC
pjproject-2.4.5-8.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-10-12 23:22:57 UTC
pjproject-2.4.5-8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-10-13 02:51:07 UTC
pjproject-2.4.5-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.